Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class TBSCertificateStructure

    java.lang.Object
      org.bouncycastle.asn1.x509.TBSCertificateStructure

All Implemented Interfaces:
  DEREncodable, PKCSObjectIdentifiers, X509ObjectIdentifiers

public class TBSCertificateStructure
extends java.lang.Object
implements DEREncodable, X509ObjectIdentifiers, PKCSObjectIdentifiers

The TBSCertificate object.

     TBSCertificate ::= SEQUENCE {
          version          [ 0 ]  Version DEFAULT v1(0),
          serialNumber            CertificateSerialNumber,
          signature               AlgorithmIdentifier,
          issuer                  Name,
          validity                Validity,
          subject                 Name,
          subjectPublicKeyInfo    SubjectPublicKeyInfo,
          issuerUniqueID    [ 1 ] IMPLICIT UniqueIdentifier OPTIONAL,
          subjectUniqueID   [ 2 ] IMPLICIT UniqueIdentifier OPTIONAL,
          extensions        [ 3 ] Extensions OPTIONAL
          }

Note: issuerUniqueID and subjectUniqueID are both deprecated by the IETF. This class will parse them, but you really shouldn't be creating new ones.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.x509.X509ObjectIdentifiers
`commonName, countryName, id, id_ea_rsa, id_SHA1, localityName, ocspAccessMethod, organization, organizationalUnitName, ripemd160, ripemd160WithRSAEncryption, stateOrProvinceName`

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers
`bagtypes, canNotDecryptAny, certBag, crlBag, data, des_EDE3_CBC, dhKeyAgreement, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_encrypKeyPref, id_alg_PWRI_KEK, id_ct_compressedData, id_PBES2, id_PBKDF2, keyBag, md2, md2WithRSAEncryption, md4WithRSAEncryption, md5, md5WithRSAEncryption, pkcs_1, pkcs_12, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, secretBag, sha1WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509certType`

Constructor Summary
`TBSCertificateStructure(ASN1Sequence seq)`

Method Summary
`DERObject` | `getDERObject()`
`Time` | `getEndDate()`
`X509Extensions` | `getExtensions()`
`static TBSCertificateStructure` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static TBSCertificateStructure` | `getInstance(java.lang.Object obj)`
`X509Name` | `getIssuer()`
`DERBitString` | `getIssuerUniqueId()`
`DERInteger` | `getSerialNumber()`
`AlgorithmIdentifier` | `getSignature()`
`Time` | `getStartDate()`
`X509Name` | `getSubject()`
`SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
`DERBitString` | `getSubjectUniqueId()`
`int` | `getVersion()`
`DERInteger` | `getVersionNumber()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBSCertificateStructure

    public TBSCertificateStructure(ASN1Sequence seq)

Method Detail

### getInstance

    public static TBSCertificateStructure getInstance(ASN1TaggedObject obj,
                                                      boolean explicit)

### getInstance

    public static TBSCertificateStructure getInstance(java.lang.Object obj)

### getVersion

    public int getVersion()

### getVersionNumber

    public DERInteger getVersionNumber()

### getSerialNumber

    public DERInteger getSerialNumber()

### getSignature

    public AlgorithmIdentifier getSignature()

### getIssuer

    public X509Name getIssuer()

### getStartDate

    public Time getStartDate()

### getEndDate

    public Time getEndDate()

### getSubject

    public X509Name getSubject()

### getSubjectPublicKeyInfo

    public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

### getIssuerUniqueId

    public DERBitString getIssuerUniqueId()

### getSubjectUniqueId

    public DERBitString getSubjectUniqueId()

### getExtensions

    public X509Extensions getExtensions()

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD